> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct Card Charge Authentication



## OpenAPI

````yaml post /api/v1/direct-card-charge-auth
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/direct-card-charge-auth:
    post:
      tags:
        - Collection
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateOtpRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ValidateOtpRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ValidateOtpRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    ValidateOtpRequest:
      type: object
      properties:
        reference:
          type: string
          nullable: true
        otp:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````